FROM ubuntu:xenial

RUN apt-get update \
    && apt-get install -y curl \
    && curl -O https://ftp.zhirov.website/program/Games/Lineage_2/server/Docker/aarch64/jdk-8u311-linux-aarch64.tar.gz \
    && tar xfz jdk-8u311-linux-aarch64.tar.gz -C /opt/ \
    && rm jdk-8u311-linux-aarch64.tar.gz \
    && curl -O https://ftp.zhirov.website/program/Games/Lineage_2/server/Docker/aarch64/login.tar.gz \
    && tar xfz login.tar.gz -C /opt/ \
    && rm login.tar.gz

ENV JAVA_HOME /opt/jdk1.8.0_311
ENV PATH $PATH:$JAVA_HOME/bin

WORKDIR /opt/login
CMD ["sh", "ls_loop.sh"]
